#
# Module services
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.

services:
  _defaults:
    autowire: true

  XC\AutoImportBaseDev\Console\Command\GenerateAutoCareData:
    tags: ['console.command']
    arguments:
      $vehiclesProvider: '@XC\AutoImportBaseDev\Console\Command\GenerateAutoCareData\AutoCareVehiclesProvider'
      $vehiclesExporter: '@XC\AutoImportBaseDev\Console\Command\GenerateAutoCareData\AutoCareVehiclesExporter'

  XC\AutoImportBaseDev\Console\Command\GenerateAutoCareData\AutoCareVehiclesProvider:
    class: XC\AutoImportBaseDev\Console\Command\GenerateAutoCareDataAdapters\MysqlDbAutoCareVehiclesProvider
    arguments:
      $dsn: '%env(default::string:AUTOCARE_DSN)%'
      $username: '%env(default::string:AUTOCARE_USERNAME)%'
      $password: '%env(default::string:AUTOCARE_PASSWORD)%'

  XC\AutoImportBaseDev\Console\Command\GenerateAutoCareData\AutoCareVehiclesExporter:
    class: XC\AutoImportBaseDev\Console\Command\GenerateAutoCareDataAdapters\CsvAutoCareVehiclesExporter

  XC\AutoImportBaseDev\Console\Command\FTPGatewayTestRun:
    tags: ['console.command']

  XC\AutoImportBaseDev\Console\Command\ElectronicOrderAPITestRun:
    tags: ['console.command']

  XC\AutoImportBaseDev\Console\Command\GeneralAPITestRun:
    tags: ['console.command']
